EPG

XMLTV EPG for a channel

GET
/v1/channels/{id}/epg.xml

Scope: feeds:read

Authorization

apiKey
headerAuthorizationBearer <ik_live_…>

An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.

Path Parameters

id*string

Response Body

OK

response?stringapplication/xml
Example Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/channels/string/epg.xml'
Example Response
"<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<tv generator-info-name=\"Ingenee\">\n  <channel id=\"e2e-ad-channel-india\"><display-name>E2E Ad Channel India</display-name></channel>\n  <programme start=\"20261028040000 +0000\" stop=\"20261028053000 +0000\" channel=\"e2e-ad-channel-india\">\n    <title>Toy Story</title>\n    <desc>Led by Woody, Andy's toys live happily in his room until Andy's birthday brings Buzz Lightyear onto the scene. Afraid of losing his place in Andy's heart, Woody plots against Buzz. But when circumstances separate Buzz and Woody from their owner, the duo eventually learns to put aside their differences.</desc>\n    <rating><value>G</value></rating>\n    <icon src=\"https://image.tmdb.org/t/p/w500/uXDfjJbdP4ijW5hWSBrPrlKpxab.jpg\"/>\n  </programme>\n  <programme start=\"20261028053000 +0000\" stop=\"20261028072700 +0000\" channel=\"e2e-ad-channel-india\">\n    <title>Coco</title>\n    <desc>Despite his family’s baffling generations-old ban on music, Miguel dreams of becoming an accomplished musician like his idol, Ernesto de la Cruz. Desperate to prove his talent, Miguel finds himself in the stunning and colorful Land of the Dead following a mysterious chain of events. Along the way, he meets charming trickster Hector, and together, they set off on an extraordinary journey to unlock the real story behind Miguel's family history.</desc>\n    <rating><value>PG</value></rating>\n    <icon src=\"https://image.tmdb.org/t/p/w500/6Ryitt95xrO8KXuqRGm1fUuNwqF.jpg\"/>\n  </programme>\n  <programme sta"